# Agentpy - Agent-based modeling in Python

Agentpy is an open-source framework for the development and analysis of
agent-based models in Python.
This project is still in an early stage of development.
If you have feedback, need help, or want to contribute,
please write to joel.foramitti@uab.cat.

**Main features:**

- Design of agent-based models with complex procedures.
- Creation of custom agent types, environments, and networks.
- Agent lists that can forward attribute calls and select agent groups.
- Experiments with repeated iterations, parameter samples, and distinct scenarios.
- Output data that can be saved, loaded, and re-arranged for further analysis.
- Tools for sensitivity analysis, interactive output, animations, and plots.
- Compatibility with NumPy, pandas, matplotlib, seaborn, networkx, and SALib.

**Documentation:** https://agentpy.readthedocs.io

**Model library:** https://agentpy.readthedocs.io/en/latest/model_library.html

**Requirements:** Python 3.6+, NumPy, scipy, matplotlib, networkx, pandas, SALib, ipywidgets.

**Installation:** `pip install agentpy`
